ISNSDD(8)

NAME
isnsdd - iSNS discovery daemon

SYNOPSIS
isnsdd [-f] [-c filename] [-d debug-facility]

DESCRIPTION
Isnsdd is a client side daemon for iSNS. It registers storage nodes and portals with the iSNS service, and refreshes these registrations in a timely manner.

The daemon also registers itself to receive SCN notifications, and processes these. It can be configured to invoke an external helper application for each status notification received. The path name of the helper application can be specified via the SCNCallout option in the configuration file.

OPTIONS
By default, isnsd will take most of its settings from the configuration file /etc/isns/isnsdd.conf, with the addition of the following command line options:

--config filename, -c filename
    This option overrides the default configuration file.

--foreground,-f
    By default, isnsd will put itself into the background. By specifying this option, you can tell it to run in the foreground. Any error messages or debug output will be printed to the console rather than being sent to syslog.

--role role
    This tells the discovery daemon in which capacity is should register itself with the iSNS server. Role can be either initiator, or control. The default is to register as an initiator.

    Registering target nodes needs to use a different mechanism, as the iSCSI target server needs to inform the discovery daemon about each exported target separately. This is not implemented yet.

--debug facility, -d facility
    enables debugging. Valid facilities are

socket | network send/receive
auth | authentication and security related information
message | iSNS protocol layer
state | database state
scn | SCN (state change notification) messages
esi | ESI (entity status inquiry) messages
all | all of the above

SEE ALSO
RFC 4171, isnsd(8), isnsadm(8), isns_config(5).

AUTHORS
Olaf Kirch <olaf.kirch@oracle.com>